Results 1 to 4 of 4
  1. #1
    Untangler
    Join Date
    Mar 2010
    Posts
    30

    Unhappy Untangle 9.0 Problem

    It appears my two Untangle boxes updated last night. One is used for the wifi which is working great the other is for my internal network which is having problems. The first problem is that it never generated a report last night. When I tried to generate a report manually I get this error
    Code:
     
    An error has occurred:
    java.lang.Exception:
    Unable to run daily reports: Return code: 1, stdout "", stderr "Traceback (most recent call last): File "/usr/share/untangle/bin/reporting-generate-reports.py", line 75, in from reports.log import * File "/usr/lib/python2.5/reports/__init__.py", line 53, in from reports.engine import get_node, get_node_base File "/usr/lib/python2.5/reports/engine.py", line 44, in JSON_OBJ = json.loads(open('/etc/untangle-net-alpaca/netConfig.js', 'r').read()) IOError: [Errno 2] No such file or directory: '/etc/untangle-net-alpaca/netConfig.js' "
    When I got in this morning the network is running extreamly slow. Rebooting the Untangle server seemed to help for a bit but now back to being slow.

    I have tried Sky-Knight post under 9.0.1 Build 1
    edit /etc/apt/sources.list.d/untangle.list

    There are two lines in there, one says "stable", put a # in front of it.

    Run apt-get update

    Enjoy installing modules on the older version....

    When you're done go reverse the changes to untangle.list, and re-run apt-get update
    But this has not helped either.

    Another issue I noticed is that the internal administration does not work either. I get page cannot be displayed.

    Is this all part of the bug in 9.0?

    Any help is greatly appreciated.

  2. #2
    Untangle Junkie dmorris's Avatar
    Join Date
    Nov 2006
    Location
    San Carlos, CA
    Posts
    17,486

    Default

    Don't mess with your sources.list unless you know what you are doing.
    Commenting out stable and then apt-get installing apps on your box is going to install older apps pre-9.0 on a 9.0 platform. Thats not going to work at all and will likely totally screw up your install.

    Call live support if you have it.
    If your /etc/untangle-net-alpaca/netConfig.js file doesn't exist something is seriously wrong.
    Attention: Support and help on the Untangle Forums is provided by volunteers and community members like yourself.
    If you need Untangle support please call or email support@untangle.com

  3. #3
    Untangler
    Join Date
    Mar 2010
    Posts
    30

    Default

    Thanks for the help. Nothing happened when I tried what Sky-Knight suggested. I don't have paid support so I guess I will re-install Untangle.

    It is very odd that it was working fine the day prior and after upgrade it is broken.

    Thanks again for the help.

    -Bruce

  4. #4
    Untangle Ninja sky-knight's Avatar
    Join Date
    Apr 2008
    Location
    Phoenix, AZ
    Posts
    26,491

    Default

    My suggestion has nothing to do with 9.0, or 9.0.1 That change is specifically to allow you to install 8.1.1, and still be able to get 8.1.1 modules installed.

    <sarcasm>And of course, updates break everything.</sarcasm>
    Rob Sandling, BS:SWE, MCP
    NexgenAppliances.com
    Phone: 866-794-8879 x201
    Email: support@nexgenappliances.com

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  

SEO by vBSEO 3.6.0 PL2